/* ======================================== */
/* ----------- VARIABLES GLOBALES --------- */
/* ======================================== */
:root {
    --negro: #000;
    --blanco: #fff;
    --rojo: #f00;
    --azul: #0ff;
    --verde-alfa: rgba(0, 255, 0, 0.3);
    --borde: #4f5a79;
    --margen-seccion: 250px;
    --font: "Poppins", sans-serif;

    --shadow-azul: 0 0 10px 10px var(--azul);
    --shadow-rojo: 0 0 10px 10px var(--rojo);
    --shadow-rojo-small: 0 0 5px 5px var(--rojo);
    --shadow-borde: 0 0 10px 10px var(--borde);
}

/* ======================================== */
/* ----------------- BODY ----------------- */
/* ======================================== */
body {
    font-family: var(--font);
    padding-top: 90px;
    background: url(_web_img/bg_contacto.jpg) no-repeat fixed center/cover;
}

#AnclaNosotros,
#AnclaWeb,
#AnclaPc,
#AnclaAndroid,
#AnclaContacto {
    scroll-margin-top: 100px;
}

#logo {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

#img_logo {
    display: block;
    margin: 0 auto;
    max-width: 400px;
}


/* ======================================== */
/* --------------- SECCIONES -------------- */
/* ======================================== */
section {
    width: 95%;
    margin: auto;
    padding-bottom: 20px;
    border-radius: 50px;
    box-shadow: var(--shadow-borde);
    overflow: hidden;
}

#nosotros,
#Webs,
#pc,
#android_herramientas,
#android_2d,
#android_3d,
#contacto {
    margin-bottom: var(--margen-seccion);
}

#nosotros { background: rgba(255,0,0,0.25); }
#Webs { background: rgba(0,255,255,0.3); }
#pc { background: rgba(0,255,0,0.3); }
#android_herramientas,
#android_2d,
#android_3d { background: rgba(255,141,0,0.3); }
#contacto { background: rgba(0,0,255,0.3); }

/* ======================================== */
/* ------------- CONTENEDORES ------------- */
/* ======================================== */
.contenedor {
    width: 95%;
    display: flex;
    justify-content: center;
    margin: auto;
    flex-wrap: wrap;
}

.contenedor2 {
    width: 90%;
    margin: auto;
    margin-bottom: 30px;
    background: rgba(0,0,0,0.7);
    box-shadow: var(--shadow-borde);
}


/* ======================================== */
/* --------------- CABECERAS -------------- */
/* ======================================== */
.tx_cabecera {
    text-align: center;
    font-size: 40px;
    font-weight: bold;
    color: var(--negro);
    text-shadow: 0 0 10px var(--rojo);
    -webkit-text-fill-color: var(--rojo);
    -webkit-text-stroke: 1px var(--negro);
}

#nosotros_cabecera,
#webs_cabecera,
#pc_cabecera,
#android_cabecera,
#contacto_cabecera {
    visibility: hidden;
    border-radius: 30px;
}

/* ======================================== */
/* ----------------- TEXTOS --------------- */
/* ======================================== */
a { color: var(--azul); cursor: pointer; }

p {
    text-align: center;
    color: var(--azul);
    font-size: 30px;
}

h2 {
    text-align: center;
    font-size: 25px;
    text-shadow: 0 0 10px var(--rojo);
    -webkit-text-fill-color: var(--blanco);
}

h3 {
    text-align: center;
    font-size: 30px;
    text-shadow: 0 0 10px var(--rojo);
    -webkit-text-fill-color: var(--rojo);
    -webkit-text-stroke: 1px var(--negro);
}

h4 {
    text-align: center;
    font-size: 20px;
    text-shadow: 0 0 10px var(--azul);
    -webkit-text-fill-color: var(--azul);
    -webkit-text-stroke: 1px var(--negro);
}


/* ======================================== */
/* --------------- IMAGENES --------------- */
/* ======================================== */
.img_circulo {
    width: 80%;
    margin: 40px auto 0;
    display: block;
    border-radius: 50%;
    box-shadow: var(--shadow-rojo);
}

.img_mas_info {
    width: 60%;
    margin: 20px auto 0;
    display: block;
    border-radius: 1%;
    box-shadow: var(--shadow-rojo-small);
}

.ico {
    width: 60%;
    border: 2px solid var(--rojo);
    border-radius: 20px;
    transition: box-shadow 0.3s ease;
}

.ico:hover { box-shadow: 0 0 30px 30px var(--azul); }


/* ======================================== */
/* ------------- ARTICLES 3D -------------- */
/* ======================================== */
article {
    visibility: hidden;
    width: 70%;
    max-width: 400px;
    margin: 50px auto;
    padding: 10px;
    background: rgba(0,0,0,0.5);
    border: 4px solid var(--negro);
    border-radius: 200px 200px 60px 60px;
    box-shadow: var(--shadow-azul);
}

.card {
    width: 90%;
    max-width: 400px;
    height: 500px;
    margin: 40px auto;
    perspective: 1000px;
    cursor: pointer;
}

.card-inner {
    position: relative;
    width: 100%;
    height: 100%;
    transform-style: preserve-3d;
    transition: transform 1s;
}

.card.flipped .card-inner { transform: rotateY(180deg); }

.card-front,
.card-back {
    position: absolute;
    background: transparent;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    backface-visibility: hidden;
    -webkit-backface-visibility: hidden;
    padding: 10px;
    border-radius: 10px;
}

.card-front { transform: rotateY(0deg); }

.card-back { transform: rotateY(180deg); }



/* ======================================== */
/* --------------- CONTACTO --------------- */
/* ======================================== */
#contacto button {
    font-family: var(--font);
    font-size: 20px;
    border-radius: 10px;
    margin: 20px 0;
    padding-right: 10px;
    background: var(--azul);
    transition: all 0.3s ease;
}

#contacto button:hover {
    background: var(--verde-alfa);
    color: var(--blanco);
    box-shadow: var(--shadow-azul);
}

#whatsapp {
    width: 30px;
    height: 30px;
    vertical-align: middle;
}

input[type=text],
textarea {
    width: 80%;
    margin: 0 5% 10px;
    padding: 20px;
    font-size: 20px;
    border: 3px solid var(--negro);
    border-radius: 20px;
    box-shadow: var(--shadow-borde);
}

input:focus,
textarea:focus { background-color: #F3F781; }

textarea { height: 100px; }

#contacto input[type="submit"] {
    width: 50%;
    margin: 20px auto 0;
    padding: 15px 20px;
    font-size: 20px;
    font-weight: bold;
    background: var(--azul);
    color: var(--negro);
    border-radius: 20px;
    cursor: pointer;
    box-shadow: 0 0 12px var(--borde);
    transition: all 0.3s ease;
    display: block;
}

#contacto input[type="submit"]:hover {
    background: var(--verde-alfa);
    color: var(--blanco);
    box-shadow: 0 0 20px var(--shadow-azul);
}


/* ======================================== */
/* -------- Animaciones necesarias -------- */
/* ======================================== */
.fadeIn {
    animation: fadeIn 1.5s ease-in-out;
    visibility: visible !important;
}
@keyframes fadeIn {
    0% { transform: scale(0); opacity: 0; }
    60% { transform: scale(1.1); }
    80% { transform: scale(0.9); opacity: 1; }
    100% { transform: scale(1); opacity: 1; }
}

.slideLeft,
.slideRight {
    animation-duration: 1s;
    animation-timing-function: ease-in-out;
    animation-fill-mode: forwards;
    visibility: visible !important;
}

@keyframes slideLeft {
    0% { transform: translateX(150%); }
    50% { transform: translateX(-8%); }
    65% { transform: translateX(4%); }
    80% { transform: translateX(-4%); }
    95% { transform: translateX(2%); }
    100% { transform: translateX(0); }
}
.slideLeft {  animation-name: slideLeft; }

@keyframes slideRight {
    0% { transform: translateX(-150%); }
    50% { transform: translateX(8%); }
    65% { transform: translateX(-4%); }
    80% { transform: translateX(4%); }
    95% { transform: translateX(-2%); }
    100% { transform: translateX(0); }
}
.slideRight { animation-name: slideRight; }

.slideUp {
    animation: slideUp 1s ease;
    visibility: visible !important;
}
@keyframes slideUp {
    0% { transform: translateY(100%); }
    50% { transform: translateY(-8%); }
    100% { transform: translateY(0); }
}

.slideExpandUp {
    animation: slideExpandUp 1.6s ease-out;
    visibility: visible !important;
}
@keyframes slideExpandUp {
    0% { transform: translateY(100%) scaleX(0.5); }
    50% { transform: translateY(0) scaleX(1.1); }
    100% { transform: translateY(0) scaleX(1); }
}


/* ======================================== */
/* ---------------- Header ---------------- */
/* ======================================== */
header {
    position: fixed;
    width: 100%;
    margin-left: -10px;
    top: 0;
    z-index: 100;
    background: linear-gradient(0deg, #000 0%, #131313 10%, #404141 50%, #131313 90%, #000 100%);
    box-shadow: 0 0 15px var(--azul);
}

#bar1, #bar2, #bar3 {
    width: 50px;
    height: 10px;
    background-color: var(--azul);
    margin: 10px -10px;
    transition: transform 0.4s ease, opacity 0.4s ease;
    border-radius: 5px;
}

.cabecera_menu {
    width: 100%;
    justify-content: center;
    margin: auto;
}

#menu_inicio { color: red; }

#logo_texto {
    float: left;
    padding: 10px;
    width: 200px;
    height: 50px;
    visibility: hidden;
}

.control-menu {
    float: right;
    height: 50px;
    width: 50px;
}

.menu-items {
    clear: both;
    margin: 0;
    padding: 0;
    height: 0;
    width: 100%;
    overflow: hidden;
    transition: height 0.4s ease-in-out, background-color 1s ease;
    text-align: center;
}

.menu-items a {
    display: block;
    font-size: 30px;
    color: var(--azul);
    height: 60px;
    line-height: 60px;
}

.menu-items a:hover { background: rgba(255, 255, 255, 0.3); }

.menu_horizontal { display: none; }


/* ======================================== */
/* ------------- QUERYS + 1024 ------------ */
/* ======================================== */
@media (min-width: 1024px) {
    body { padding-top: 120px; }

    .cabecera_menu { width: 95%; }

    #logo_texto {
        width: 400px;
        height: 100px;
    }

    #menu_vertical { display: none; }

    .menu_horizontal {
        position: static;
        width: auto;
        height: auto;
        float: right;
        display: flex;
        visibility: hidden;
    }

    .menu_horizontal a {
        color: var(--azul);
        padding: 0 10px 10px;
        font-size: 20px;
        margin-left: 20px;
        margin-top: 25px;
    }

    .menu_horizontal a:hover {
        box-shadow: 0 0 10px 10px var(--azul);
        border-radius: 20px;
    }

    #AnclaNosotros {
        margin-top: 25px;
        scroll-margin-top: 150px;
    }

    #logo { width: 1024px; }
    #img_logo { width: 40%; }

    section { width: 1200px; }
    .contenedor2 { width: 900px; }

    .tx_cabecera { font-size: 80px; }
    h3 { font-size: 50px; }
    h4 { font-size: 35px; }
    p { font-size: 35px; }

    article {
        width: 90%;
        margin: 30px;
        border-radius: 150px 150px 40px 40px;
    }

    .img_circulo,
    .img_mas_info {
        width: 60%;
        margin-top: 20px;
    }

    .ico { width: 200px; }

    #contacto .contenedor {
        flex-direction: column;
        align-items: center;
    }
}